Subscribe

ONTAPI 'system-get-version' failing with error in Zapi::invoke, cannot connect to socket

Hi,

I am writing script to connect to the filer through perl script and running the API. But i am getting the following error:

     Zapi::invoke, cannot connect to socket

This script is work for the one filer and get me output NetApp Release 7.3.3: Thu Mar 11 22:35:06 PST 2010. But same script is failing for another filer wich has version NetApp Release 8.0.2P3 7-Mode: Thu Oct 13 15:56:25 PDT 2011. Is this issue with the NetApp Release 8.0.2P3 7-Mode:

I am using short name of the filer to connect which is pingble. Please help me to resolve the issue.

Regards,

Deepak

Re: ONTAPI 'system-get-version' failing with error in Zapi::invoke, cannot connect to socket

Are you able to execute any other ZAPI on the system? Is it a problem with "system-get-version" API or any API in general?

Re: ONTAPI 'system-get-version' failing with error in Zapi::invoke, cannot connect to socket

also check if 'httpd.admin.enable' option is enabled on the 7-mode system. If not, then enable it and try to run your script.

Re: ONTAPI 'system-get-version' failing with error in Zapi::invoke, cannot connect to socket

[ Edited ]

I had the same issue, but, after enable this options the connection started working properly
if you are using vfiler you need to be sure to enable this option into the vfiler also